import { defineStore } from 'pinia'
import { ref } from 'vue'
import type { UserInfoResp, UserInfo } from '@/service/login.d'

const initState = null

export const useUserStore = defineStore(
  'userInfo',
  () => {
    const userInfo = ref<UserInfo>({ ...initState })

    const setUserInfo = (val: UserInfo) => {
      userInfo.value = val
    }

    const clearUserInfo = () => {
      userInfo.value = { ...initState }
    }
    // 一般没有reset需求，不需要的可以删除
    const reset = () => {
      userInfo.value = { ...initState }
    }

    return {
      userInfo,
      setUserInfo,
      clearUserInfo,
      reset,
    }
  },
  {
    persist: true,
  },
)
